DROP VIEW V_CONTRACT_EXTENSION_RULE;

CREATE OR REPLACE VIEW V_CONTRACT_EXTENSION_RULE AS (
SELECT CER.ID, CER.ACTION, CER.OLD_SAMPLE_SERVICE_CODE, CER.NEW_SAMPLE_SERVICE_CODE, CER.TRANSFER_DISCOUNTS, CER.ACT, CER.NNLOCATION_ID,
MSO.OPIS AS OLD_SAMPLE_SERVICE_OPIS, MSN.OPIS AS NEW_SAMPLE_SERVICE_OPIS, SIF.NAZIV_SIFRANT AS ACTION_OPIS, MNKT.OPIS AS NEW_SAMPLE_TIMEKAT_OPIS
FROM CONTRACT_EXTENSION_RULE CER
LEFT OUTER JOIN M_NNSTOMAR MSO ON MSO.SIFRA = CER.OLD_SAMPLE_SERVICE_CODE
LEFT OUTER JOIN M_NNSTOMAR MSN ON MSN.SIFRA = CER.NEW_SAMPLE_SERVICE_CODE
LEFT OUTER JOIN SIFRANT SIF ON SIF.STRINGTABLE = 'CONTRACT_EXTENSION_RULE' AND SIF.ID_STRING = 'ACTION' AND SIF.KODA_SIFRANT = CER.ACTION
LEFT OUTER JOIN M_NNKATEG MNKT ON MNKT.SIFRA_SKLOPA = MSN.TIMEKAT AND MNKT.SIFRA = CER.NEW_SAMPLE_TIMEKAT
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1914, SYSDATE, '5.5', 1834, 'Extension rule')
;
