﻿CREATE TABLE NVIR_REZERVAC (
	SIFRA VARCHAR2(2 CHAR), 
	OPIS VARCHAR2(100 CHAR), 
	INTERNI_OPIS VARCHAR2(100 CHAR), 
	ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y',
	CONSTRAINT PK_NVIR_REZERVAC PRIMARY KEY (SIFRA)
);

INSERT INTO NVIR_REZERVAC (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES ('EM', 'Email', 'Email', 'Y');
INSERT INTO NVIR_REZERVAC (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES ('TE', 'Telephone', 'Telephone', 'Y');
INSERT INTO NVIR_REZERVAC (SIFRA, OPIS, INTERNI_OPIS, ACTIVE) VALUES ('PO', 'Post', 'Post', 'Y');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NVIR_REZERVAC', 'ACTIVE', 'Y', 'YES', 'YES', 'Y', 'YES');

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NVIR_REZERVAC', 'ACTIVE', 'N', 'NO', 'NO', 'Y', 'NO');


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(359, SYSDATE, '5.5', 279, 'Šifrant za vir rezervacije');