CREATE TABLE CREDIT_CARD_TOKEN (
	ID NUMBER NOT NULL,
	CARD_ID VARCHAR2(50 CHAR),
    IVR_CARD_ID VARCHAR2(50 CHAR),
    EMAIL VARCHAR2(100 CHAR),
    MOBILE VARCHAR2(50 CHAR),
	DATE_CREATED DATE,
	USER_CREATED VARCHAR2(50 CHAR),
	CONSTRAINT CREDIT_CARD_TOKEN_PK PRIMARY KEY(ID)
);

CREATE SEQUENCE CREDIT_CARD_TOKEN_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE KUPCI_CREDIT_CARDS
ADD ID_CREDIT_CARD_TOKEN NUMBER;

ALTER TABLE KUPCI_CREDIT_CARDS
ADD CONSTRAINT KUPCI_CREDIT_CARDS_TOKEN_FK FOREIGN KEY (ID_CREDIT_CARD_TOKEN) REFERENCES CREDIT_CARD_TOKEN(ID);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (906, SYSDATE, '5.5', 826, 'Credit card token');