ALTER TABLE SERVICE_TEMPLATE
ADD QUANTITY NUMBER;


CREATE OR REPLACE VIEW V_SERVICE_TEMPLATE AS (
  SELECT SE.ID, SE.ID_WORK_ORDER_TEMPLATE, SE.SERVICE, SE.DATE_FROM, SE.DATE_TO, SE.STATUS, SE.QUANTITY, MN.OPIS AS NNSTOMAR_OPIS
	FROM SERVICE_TEMPLATE SE
  LEFT OUTER JOIN M_NNSTOMAR MN ON MN.SIFRA = SE.SERVICE 
);

CREATE OR REPLACE VIEW V_ISSUE_DOC_TRAFFIC_TEMPLATE AS (
  SELECT IDT.ID, IDT.ID_ISSUE_DOCUMENT_TEMPLATE, IDT.ID_ARTIKEL, IDT.QUANTITY, IDT.DISCOUNT, IDT.MARGIN, IDT.INVOICE, IDT."COMMENT", IDT.STATUS, SA.NAZIV1 AS ARTICLE_DESCRIPTION
	FROM ISSUE_DOC_TRAFFIC_TEMPLATE IDT
  LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = IDT.ID_ARTIKEL
);

ALTER TABLE ISSUE_DOCUMENT_TEMPLATE
ADD NAME VARCHAR2(100 CHAR);

CREATE OR REPLACE VIEW V_ISSUE_DOCUMENT_TEMPLATE AS (
  SELECT IST.ID, IST.NAME, IST.ID_WORK_ORDER_TEMPLATE, IST."DATE", IST."GROUP", IST.RECIPIENT, IST.STATUS
	FROM ISSUE_DOCUMENT_TEMPLATE IST
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (908, SYSDATE, '5.5', 828, 'Predloge DN 2');